/***************************************************************************
 *   Copyright (C) 2003 by Norman Jordan                                   *
 *   njordan@shaw.ca                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef __GNOME_NETSELECT_H__
#define __GNOME_NETSELECT_H__

#include <glib.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <gtk/gtk.h>
#include <X11/X.h>

#include <glade/glade-xml.h>

#define NORMAL_IMAGE "moz.xpm"
#define NEGATIVE_IMAGE "moz2.xpm"

#define NEWLINE_CHAR "\n"

extern GdkPixbuf *normal_image;
extern GdkPixbuf *negative_image;
extern GtkWidget *event_box;
extern GtkWidget *image;
extern gchar *execute;
extern int last_button;
extern Window moz_win;
extern GladeXML *interface_desc;

extern gint browser_type;
extern gchar *browser_path;
extern gchar *normal_image_path;
extern gchar *negative_image_path;
extern gint display_action_type;
extern gint open_browser_action;
extern gint search_action;
extern gint goto_action;
extern gint search_engine;

GtkWidget *get_applet_widget();

gint get_applet_size();

void free_all_globals();

#endif
